Package com.io7m.waxmill.xml.config.v1

# Class WXM1ClientConfigurationParser

java.lang.Object
com.io7m.waxmill.xml.config.v1.WXM1ClientConfigurationParser

All Implemented Interfaces:
  `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMClientConfiguration>`

    public final class WXM1ClientConfigurationParser
    extends java.lang.Object
    implements com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMClientConfiguration>

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXM1ClientConfigurationParser​(java.nio.file.FileSystem inFileSystem)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>>` | `onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
  `void` | `onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result)` |
  `WXMClientConfiguration` | `onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.api.BTElementHandlerType

  `map, name, onCharacters, onElementStart, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### WXM1ClientConfigurationParser

    public WXM1ClientConfigurationParser​(java.nio.file.FileSystem inFileSystem)

- ## Method Details

  - ### onChildHandlersRequested

    public java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>> onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)
    Specified by:
      `onChildHandlersRequested` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMClientConfiguration>`

  - ### onChildValueProduced

    public void onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result) throws org.xml.sax.SAXException
    Specified by:
      `onChildValueProduced` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMClientConfiguration>`
    Throws:
      `org.xml.sax.SAXException`

  - ### onElementFinished

    public WXMClientConfiguration onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMClientConfiguration>`